function [systemCapacity,totalNumPoints]= bonaldCapacity(referenceLocation)
     regions                 = [referenceLocation.BS; referenceLocation.sector];%or generate regions from referenceBS
     uniqueRegions           = unique(regions','rows')'; %transpose-> unique->transpose
    
     numUniqueRegions        = size(uniqueRegions,2); % length(uniqueRegions)= number of columns;
     subRegion               = [];
            
     harmonicAverage         = [];
     totalNumPoints          = length(referenceLocation.averageTime);
     
     for k=1:numUniqueRegions                
      	subRegion(k).averageTime = (and(uniqueRegions(1,k)==referenceLocation.BS,...
                                    uniqueRegions(2,k)==referenceLocation.sector)).*referenceLocation.averageTime;
        subRegion(k).averageTime = subRegion(k).averageTime(subRegion(k).averageTime ~= 0); % get none zero values
        
        %numPoints               = length(subRegion(k).averageTime)
        harmonicAverage(k)       = totalNumPoints/sum(subRegion(k).averageTime);
     end
            
     [systemCapacity, regionIndex]           = min(harmonicAverage);    
     %numPoints                  = length(subRegion(regionIndex).averageTime);
end           

 