  %load Pttl_W.txt
  function powerconsumption(Pttl_W,interSiteDistance)
      %Pttl_W = %[1.88, 0.22,  0.84,  2.2,  4.9,  9.5,  17.2,  26.8,  41.7,  64.9,  87.1,  126.0];
     
        D = interSiteDistance;

        ama = 22.6;
        bma = 412.4;
        ami = 5.5;
        bmi = 32.0;
    
        P = zeros(5,size(D,2));

        for j=0:4
            for i=1:length(D)
                if j <= 3
                    P(j+1,i) = 10^6*(ama*Pttl_W(i+1) + bma + j*(ami*Pttl_W(1) + bmi)) / (sqrt(3)*(D(i))^2/2);

                else
                    P(j+1,i) = 10^6*(ama*Pttl_W(i+1) + bma + (j+1)*(ami*Pttl_W(1) + bmi)) / (sqrt(3)*(D(i))^2/2);
                end
            end
    
        end    
        figure(1);
        grid on;
        plot(D,P(1,:),'g-s',D,P(2,:),'b-d',D,P(3,:),'k-o',D,P(4,:),'r-v',D,P(5,:),'m-x','LineWidth',1.7);
        grid on;
       % axis([D(1) D(end) 100 2000]);
        legend('macro sites only','1 micro site','2 micro sites','3 micro sites','5 micro sites','Location','NorthEast');
        xlabel('Inter macro site distance D(m)');
        ylabel('Area power consumption (W/KM^2)');
        %hold off;
  end