% values computed from 3gpp standard release 9
function [logpathlossLOS, logpathlossNLOS] = computeLogPathloss(paramSet, typeBS, dist)

    if(typeBS == 1)
        if(dist < paramSet.macro.rBreak)
            %logpathlossLOS = paramSet.macro.U(1) + paramSet.macro.lambda(1)*10*log10(dist) + 10*log10( exp((log(10)/10*paramSet.macro.sigma(1))^2/2));
            logpathlossLOS = paramSet.macro.U(1) + paramSet.macro.lambda(1)*10*log10(dist) ;
            %22.0*log10dist + 28.0 + 20.0*log10fc2;
        
        else
            logpathlossLOS = paramSet.macro.U(2) + paramSet.macro.lambda(2)*10*log10(dist);
            %40.0*log10dist + 7.8 - 18.0*log10hBSMacro2 - 18.0*log10hMSMacro2 + 2.0*log10fc2;
        end
        logpathlossNLOS = paramSet.macro.U(3) + paramSet.macro.lambda(3)*10*log10(dist);
        %(43.42 - 3.1*log10hBSMacro)*(log10dist - 3) + 161.04 - 7.1*log10(w) + 7.5*log10(h) - ...
        %                            (24.37 - 3.7*(h/hBSMacro)^2) * log10hBSMacro - ...
        %                            (3.2 * (log10(11.75 * hMSMacro))^2 - 4.97) + 20.0*log10fc2;

    
    else
        if(dist < paramSet.nano.rBreak)
            logpathlossLOS = paramSet.nano.U(1) + paramSet.nano.lambda(1)*10*log10(dist);
            %22.0*log10dist + 28.0 + 20.0*log10fc2;
        else
            logpathlossLOS = paramSet.nano.U(2) + paramSet.nano.lambda(2)*10*log10(dist);
            %40.0*log10dist + 7.8 - 18.0*log10hBSMicro - 18.0*log10hMSMicro + 2.0*log10fc2;
        end
        logpathlossNLOS = paramSet.nano.U(3) + paramSet.nano.lambda(3)*10*log10(dist);
        %36.7log10(d) + 22.7 + 26log10(fc)
    end

end
   
 