%Rmi = 100, alpha=varies , beta=varies, T varies
function processRawData3D()%paramset, intersitedistance,
     beta                               = 0;    
     nSectors                           = 3;
     nBS                                = 37;
     [paramSet, interSiteDistance ]     = initializeSystem();
     
     [paramSet.system.Peffective, Pttl_W]    = ptransmit(paramSet,interSiteDistance,beta);
     %powerconsumption(Pttl_W,interSiteDistance)
        

     
    %pEffectiveNano                     = computeTransmitPowerNano(paramSet,beta); %array of transmit powers for a range of nano site radii
    %pEffectiveNano                     = 10.^((pEffectiveNano-30)/10);% convert dbm to watt
     
    for numNano = 4:4
        activeMacro                 = 1:19;
        refSitesMacro               = 1; % BS(and([BS.tier] == 0, [BS.type] == 1));    
    
        switch numNano
            case {0}
                activeNano          = [];
                refSitesNano        = [];
                %nanoBSPlacement    = 'NonePerSite';
            case {1}
                %activeNano         = [20:2:24,33,39,41,47,53,55,61,67,69];%
                activeNano          = [20:2:24];
                refSitesNano        = 20;
                %nanoBSPlacement    = 'OnePerSite';
            case {2}
                %activeNano         = [20:25,32:34,39:41,46:48,53:55,60:62,67:69];
                activeNano          = [20:25];
                refSitesNano        = [20, 21];
                %nanoBSPlacement    = 'TwoPerSite';
            case {3}
                %activeNano         = [26:31,35:38,42:45,49:52,56:59,63:66,70:73];
                activeNano          = [26:37];
                refSitesNano        = [26, 27, 28];%[20, 21, 22];
                %nanoBSPlacement    = 'ThreePerSite';
            case {4}
                %activeNano         = [20:73];
                activeNano          = 20:37;
                refSitesNano        = [20, 21, 26,27,28];%[20, 21, 26, 27, 28];
                %nanoBSPlacement    = 'FivePerSite';
        end
        
        activeSites     = [activeMacro, activeNano]; 
        refSites        = [refSitesMacro, refSitesNano];
        
        %initialize
        targetCapacity            = 30; % first initilized to target capacity = 30;  
        optimalPowerconsumption   = 600; % Watt/km^2 first initilized to power consumption that gives 30;
        optimalCapacity           = 0;
        optimalbwMacro            = 1;
        optimalbwNano             = 1;
        optimalThreshold          = 1;
        optimalIndex              = 1;
        
        for index = [2:1:4]%1:length(interSiteDistance)
           
            area = sqrt(3)/2 * interSiteDistance(index)^2*1e-6;
            Ma= 1;
            for bwMacro = 0.2:0.2:1
                Na = 1;
                powerConsumptionMacro = paramSet.system.ama*(Pttl_W(index+1)*bwMacro)      + paramSet.system.bma;
                
                for bwNano = 0:0.2:1 %1-bwMacro:0.05:bwMacro
                    
                    powerConsumptionNano  = (numNano)*(paramSet.system.ami*Pttl_W(1) + paramSet.system.bmi);                
                    newPowerconsumption   = (powerConsumptionMacro + powerConsumptionNano)/area;
                    
                    systemCapacity        = 0;
                    bestThreshold         = 1;

                    for threshold = 0.1:0.1:1
                            chunk               = 1;
                            referenceLocation   = [];
                            count               = 1;

                            filename = strcat('signalLevels', '_', num2str(beta),...
                                              '_', num2str(interSiteDistance(index)),'_', num2str(chunk),'.mat');
                                          
                            while(exist(filename,'file')) % while file of each chunk exists)

                                load(filename); %'location');

                                for k=1:length(location) % for each possible location not necessarily in the reference area

                                    [maxValMacro,  maxIndMacro]     = max(max(location(k).averageSignalLevel(:,activeMacro), [], 1));
                                    [maxValMacro2, maxIndMacro2]    = max(location(k).averageSignalLevel(:, maxIndMacro));

                                    tempLocation.averageSignalLevel(1:nSectors,1:nBS)   = 0;
                                    tempLocation.averageSignalLevel(:,activeNano)       = location(k).averageSignalLevel(:,activeNano);

                                    [maxValNano,  maxIndNano]       = max(max(tempLocation.averageSignalLevel, [], 1));
                                    [maxValNano2, maxIndNano2]      = max(tempLocation.averageSignalLevel(:, maxIndNano));

                                    if ~isempty(activeNano)  && (bwNano > 0)
                                        if (maxValNano/maxValMacro) < threshold
                                            %maxVal = maxValMacro;
                                            maxInd  = maxIndMacro;
                                            maxInd2 = maxIndMacro2;
                                        else
                                            %maxVal = maxValNano;
                                            maxInd  = maxIndNano;
                                            maxInd2 = maxIndNano2;
                                        end
                                    else
                                       %maxVal = maxValMacro;
                                       maxInd = maxIndMacro;
                                       maxInd2 = maxIndMacro2;                            
                                    end

                                    isRefSite                         = refSites(refSites == maxInd);
                                    
                                    if ~isempty(isRefSite)
                                         if (isRefSite == refSitesMacro)
                                             minDist    = paramSet.system.minDist(1);
                                             isMacro    = 1;
                                         else
                                             minDist    = paramSet.system.minDist(2);
                                             isMacro    = 0;
                                         end
                                        if  (location(k).distance(isRefSite) > minDist) %paramSet.system.minDist(BS(isRefSite).type))  %store distance info and compare   
                                           
                                            bwCommon                         = bwMacro + bwNano -1;
                                            if bwCommon < 0
                                                bwCommon = 0;
                                            end
                                            
                                            totalBandwidth                   = paramSet.system.nSubcarriers * paramSet.system.carrierSpacing ;
                                            noise                            = paramSet.system.thermalNoise; %10^(ParSet.linkBudget.noisePerCarrier/10);
                                            signalLevelInterference1         = [];
                                            signalLevelInterference2         = [];
                                            signal(:,:,:)                           = location(k).signalLevel(maxInd2,maxInd,:);% maxVal;    
                                    
                                            if isMacro
                                            
                                                signalLevelInterference1(:,:,:)     = location(k).signalLevel(:,activeMacro,:); %location(k).averageSignalLevel(:,activeSites);%NLOS;
                                                signalLevelInterference2(:,:,:)     = location(k).signalLevel(:,activeSites,:);
                                                
                                                sinr1                        = signal./(sum(sum(signalLevelInterference1)) - signal + noise);
                                                sinr2                        = signal./(sum(sum(signalLevelInterference2)) - signal + noise);
                                                
                                                spectralEfficiency           = (bwMacro-bwCommon)*totalBandwidth*min(log2(1 + sinr1), paramSet.system.maxSpectralEfficiency) + ...
                                                                              (bwCommon)*totalBandwidth*min(log2(1 + sinr2), paramSet.system.maxSpectralEfficiency);
                                            else
                                                signalLevelInterference1     = location(k).signalLevel(:,activeNano,:); %location(k).averageSignalLevel(:,activeSites);%NLOS;
                                                signalLevelInterference2     = location(k).signalLevel(:,activeSites,:);
                                                
                                                sinr1                        = signal./(sum(sum(signalLevelInterference1)) - signal + noise);
                                                sinr2                        = signal./(sum(sum(signalLevelInterference2)) - signal + noise);

                                                spectralEfficiency           = (bwNano-bwCommon)*totalBandwidth*min(log2(1 + sinr1), paramSet.system.maxSpectralEfficiency) + ...
                                                                              (bwCommon)*totalBandwidth*min(log2(1 + sinr2), paramSet.system.maxSpectralEfficiency);
                                            end
                                            
                                            referenceLocation.averageTime(count)        = (1/paramSet.system.numSamples )*sum(1/spectralEfficiency); %assuming a normalized the average request size of unity.
                                            referenceLocation.BS(count)                 = maxInd;
                                            referenceLocation.sector(count)             = maxInd2;

                                            count                                      = count + 1;
                                        end
                                    end
                                end
                                chunk = chunk + 1;
                                filename = strcat('signalLevels', '_', num2str(beta),...
                                           '_', num2str(interSiteDistance(index)),'_', num2str(chunk),'.mat');
                            end
                            
                            [tempCapacity,ttlNumPoints]    =  bonaldCapacity(referenceLocation); %,index,paramSet);
                            
                            tempCapacity = tempCapacity/(area*2^20);
                            if (systemCapacity < tempCapacity) % store best threshold  and best system capacity 
                            	systemCapacity          = tempCapacity;
                                bestThreshold           = threshold;
                                totalNumPoints          = ttlNumPoints;
                            end
                    end
                    
                    %store optimal values over all intersite distances
                    if(newPowerconsumption <= optimalPowerconsumption && systemCapacity >= targetCapacity)
                    	%if two strategies give the same power consumption but different capacities greater than the target capacity?
                        if ~(newPowerconsumption == optimalPowerconsumption && optimalCapacity  > systemCapacity)
                        	optimalCapacity          = systemCapacity                      
                            optimalPowerconsumption  = newPowerconsumption % first initilized to power consumption that gives target capacity;
                            optimalbwMacro           = bwMacro;
                            optimalbwNano            = bwNano;
                            optimalThreshold         = bestThreshold;
                            optimalIndex             = index;
                         end
                     end                    
                    
                     scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(Ma).bwNa(Na).systemCapacity       = systemCapacity;
                     scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(Ma).bwNa(Na).bestThreshold        = bestThreshold;
                     scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(Ma).bwNa(Na).totalNumPoints       = totalNumPoints;
                     scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(Ma).bwNa(Na).bwNano               = bwNano;
                     scenario.numNanoBS(numNano+1).interSiteDist(index).bwMa(Ma).bwNa(Na).bwMacro              = bwMacro;
                     
                     Na = Na+1;
                end
                Ma=Ma+1;
                %===================================
                step = [numNano, index, bwMacro]
                %===================================
            end
            %save temporary values after every step. optimal values saved in the last file
            scenario.numNanoBS(numNano+1).interSiteDist(index).optimalCapacity          = optimalCapacity;
            scenario.numNanoBS(numNano+1).interSiteDist(index).optimalPowerconsumption  = optimalPowerconsumption;
            scenario.numNanoBS(numNano+1).interSiteDist(index).optimalbwMacro           = optimalbwMacro;
            scenario.numNanoBS(numNano+1).interSiteDist(index).optimalbwNano            = optimalbwNano;
            scenario.numNanoBS(numNano+1).interSiteDist(index).optimalThreshold         = optimalThreshold;
            scenario.numNanoBS(numNano+1).interSiteDist(index).optimalIndex             = optimalIndex;
            
            filename3 = strcat('optimalCapacityandpower3D','_',num2str(numNano+1),'_',num2str(index),'.mat');
            save(filename3,'scenario');
            %scenario = [];     
        end
   end
end
